Bug 1464165 - gitolite package is missing in EPEL7
gitolite package is missing in EPEL7
Status: CLOSED ERRATA
Product: Fedora EPEL
Classification: Fedora
Component: gitolite (Show other bugs)
epel7
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Gwyn Ciesla
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-22 10:45 EDT by Michael Watters
Modified: 2017-08-18 10:51 EDT (History)
2 users (show)

See Also:
Fixed In Version: gitolite-2.3.1-15.el7
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-18 10:51:41 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael Watters 2017-06-22 10:45:03 EDT
Description of problem:

The gitolite package is missing from the EPEL 7 repos.  Can you please add this package?  The srpm does build properly on CentOS 7 using the file from the Rawhide repository.

ftp://195.220.108.108/linux/fedora/linux/development/rawhide/Everything/source/tree/Packages/g/gitolite-2.3.1-14.fc27.src.rpm for example.
Comment 1 Till Maas 2017-08-02 05:37:41 EDT
gitolite is packages as gitolite3 in Fedora EPEL.
Comment 2 Michael Watters 2017-08-02 08:48:31 EDT
(In reply to Till Maas from comment #1)
> gitolite is packages as gitolite3 in Fedora EPEL.

This is not quite correct.  There is a gitolite3 package however there are also files provided by the gitolite package which are not part of gitolite3.  For example, here is the file listing from the rpm that I built.

[root@git-c7 ~]# rpm -ql gitolite
/usr/bin/gl-admin-push
/usr/bin/gl-auth-command
/usr/bin/gl-compile-conf
/usr/bin/gl-conf-convert
/usr/bin/gl-dryrun
/usr/bin/gl-install
/usr/bin/gl-mirror-push
/usr/bin/gl-mirror-shell
/usr/bin/gl-query-rc
/usr/bin/gl-setup
/usr/bin/gl-setup-authkeys
/usr/bin/gl-system-install
/usr/bin/gl-time
/usr/bin/gl-tool
/usr/bin/sshkeys-lint
/usr/share/doc/gitolite-2.3.1
/usr/share/doc/gitolite-2.3.1/1000-words.html
/usr/share/doc/gitolite-2.3.1/COPYING
/usr/share/doc/gitolite-2.3.1/admin-defined-commands.html
/usr/share/doc/gitolite-2.3.1/admin.html
/usr/share/doc/gitolite-2.3.1/auth.html
/usr/share/doc/gitolite-2.3.1/big-config.html
/usr/share/doc/gitolite-2.3.1/delegation.html
/usr/share/doc/gitolite-2.3.1/developer-notes.html
/usr/share/doc/gitolite-2.3.1/gitolite-README-fedora
/usr/share/doc/gitolite-2.3.1/gitolite-and-ssh.html
/usr/share/doc/gitolite-2.3.1/gitolite-gitweb-http-backend.html
/usr/share/doc/gitolite-2.3.1/gitolite.conf-by-example.html
/usr/share/doc/gitolite-2.3.1/gitolite.conf.html
/usr/share/doc/gitolite-2.3.1/gitolite.rc.html
/usr/share/doc/gitolite-2.3.1/hook-propagation.html
/usr/share/doc/gitolite-2.3.1/http-backend.html
/usr/share/doc/gitolite-2.3.1/index.html
/usr/share/doc/gitolite-2.3.1/install.html
/usr/share/doc/gitolite-2.3.1/migrate.html
/usr/share/doc/gitolite-2.3.1/mirroring.html
/usr/share/doc/gitolite-2.3.1/mob-branches.html
/usr/share/doc/gitolite-2.3.1/nagp.html
/usr/share/doc/gitolite-2.3.1/packaging.html
/usr/share/doc/gitolite-2.3.1/progit-article.html
/usr/share/doc/gitolite-2.3.1/report-output.html
/usr/share/doc/gitolite-2.3.1/ssh-troubleshooting.html
/usr/share/doc/gitolite-2.3.1/support.html
/usr/share/doc/gitolite-2.3.1/tips-notes.html
/usr/share/doc/gitolite-2.3.1/user.html
/usr/share/doc/gitolite-2.3.1/virtual-refs.html
/usr/share/doc/gitolite-2.3.1/who-uses-it.html
/usr/share/doc/gitolite-2.3.1/wildcard-repositories.html
/usr/share/gitolite
/usr/share/gitolite/conf
/usr/share/gitolite/conf/VERSION
/usr/share/gitolite/conf/example.conf
/usr/share/gitolite/conf/example.gitolite.rc
/usr/share/gitolite/hooks
/usr/share/gitolite/hooks/common
/usr/share/gitolite/hooks/common/gitolite-hooked
/usr/share/gitolite/hooks/common/gl-pre-git.hub-sample
/usr/share/gitolite/hooks/common/post-receive.mirrorpush
/usr/share/gitolite/hooks/common/update
/usr/share/gitolite/hooks/gitolite-admin
/usr/share/gitolite/hooks/gitolite-admin/post-update
/usr/share/perl5/vendor_perl/gitolite.pm
/usr/share/perl5/vendor_perl/gitolite_env.pm
/usr/share/perl5/vendor_perl/gitolite_rc.pm
/var/lib/gitolite
/var/lib/gitolite/.ssh
/var/lib/gitolite/.ssh/authorized_keys

This package is also required by the pagure application which we use to manage git projects.
Comment 3 Gwyn Ciesla 2017-08-02 08:54:17 EDT
Hopefully pagure can be migrated to gitolite3 soon, as that's where all development and maintenance is now.

I'll get this out.
Comment 4 Fedora Update System 2017-08-02 09:11:29 EDT
gitolite-2.3.1-15.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-876b020066
Comment 5 Fedora Update System 2017-08-02 17:19:46 EDT
gitolite-2.3.1-15.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-876b020066
Comment 6 Fedora Update System 2017-08-18 10:51:41 EDT
gitolite-2.3.1-15.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.